$(document).ready(function () {
	if(document.readyState == 'interactive'){
		

	}
	
	$('#salida-segura').on('click', function(event) {
		event.preventDefault();
		var target = this;
		callBootbox(target, 'Esta seguro que desea salir?');
	});
	
	/*var res = window.addEventListener("beforeunload", function (e) {
		var confirmationMessage = "\o/";
		e.returnValue = confirmationMessage;     // Gecko, Trident, Chrome 34+
		console.log(e);
		window.location = baseUrl+'usuarios/logout';
		return confirmationMessage;  
		// Gecko, WebKit, Chrome <34
	});
	*/
	mensajeBienvenida();
	//Información del candidato.
	$(function () {
		$('[data-toggle="tooltip"]').tooltip();
	});
	//Voto en blanco
	$('#BOL_VOTBLA').on('click', function () {
		var checked = $(this).is(':checked');
		if (checked) {
			
			$('.profile-header-container').css('background-color', '#fff');
			$(this).parent().parent().css('background-color', 'rgb(252, 135, 58)');
			$('.check-candidato').prop('checked', false);
			$('.val-candid').val('');
			$('#id-voto-blanco').prop('disabled', false);
			$('.boton-votar').show();
		} else {
			$('.boton-votar').hide();
			$(this).parent().parent().css('background-color', '#ffffff');
			$('#id-voto-blanco').prop('disabled', true);
		}
	});
	
	$('#crear-form').submit(function (event) {
		$('.loader').show();
	});
	
	//Cuenta regresiva.
	function CountDown(duration, display) {
		if (!isNaN(duration)) {
			var timer = duration, minutes, seconds;
			var timerCookie;
			
			window.onunload = function () {
				Cookies.set('tm', timer);
			};
			timerCookie = Cookies.get('tm');
			
			if (timerCookie) {
				timer = timerCookie;
			}
			var interVal = setInterval(function () {
				minutes = parseInt(timer / 60, 10);
				seconds = parseInt(timer % 60, 10);
				
				minutes = minutes < 10 ? "0" + minutes : minutes;
				seconds = seconds < 10 ? "0" + seconds : seconds;
				
				$(display).html("<b>Tiempo Restante: " + minutes + "m : " + seconds + "s" + "</b>");
				
				if (--timer < 0) {
					logout();
					$('#modal-tiempo-agotado').modal({keyboard: false, backdrop: 'static'});
					timer = duration;
					Cookies.remove('tm');
					$('#display').empty();
					clearInterval(interVal);
				}
			}, 1000);
		}
	}
	//Datos del tiempo inicial. 
	var urlTimer = $('#url-timer').text();
	$.get(baseUrl + urlTimer,
		function (returnedValue) {
			if (returnedValue) {
				var object = JSON.parse(returnedValue);
				CountDown(object, $('#display'));
			} else {
				return false;
			}
		}
		);
		
		
		function logout() {
			$.get(baseUrl + 'votacion/logout',
			function () {
			});
		}
		
		/**
		* Carga de mensaje de bienvenida. 
		* 
		* @returns {undefined}
		*/
		function mensajeBienvenida() {
			var loadMbienbenida;
			loadMbienbenida = Cookies.get('mbienvenida');
			if (!loadMbienbenida) {
				$('#modal-mensaje-bienvenida').modal();
			}
			Cookies.set('mbienvenida', 1);
		}
		
		//Buscador de candidatos.
		$('#buscador-candidatos').on('keyup', function(){
			var txt = $(this).val();
			var texto = txt.toLowerCase();
			if(texto.length > 2){
				//$('.candidato-grid').each(function(k,e){
					$('.candidato').each(function(k,e){
					var noms = $(this).attr('title');
					var nombres = noms.trim();
					var srt = nombres.toLowerCase().indexOf(texto);
					
					if(srt > -1) {
						console.log('in: '+srt);
						//	$(this).css( "display", 'flex-row');
						$(this).css( "display", 'inline-block');
						$('#candidato-no-encontrado').css('display', 'none');
					}
					else {
						$(this).css('display', 'none');
					}
					
				});
				
			} else {
				//$('.candidato-grid').css( "display", 'inline-block');
				$('.candidato').css( "display", 'inline-block');
				$('#candidato-no-encontrado').css('display', 'none');
				/*  $(this).on('mouseleave', function(){
					$('.candidato-grid').css( "display", 'inline-block');
				});*/
			}
			
		});  
		
		//Buscador de listas.
		$('#buscador-listas').on('keyup', function(){
			var txt = $(this).val();
			var texto = txt.toLowerCase();
			if(texto.length > 2){
				$('.lista-contenedor').each(function(k,e){
					var noms = $(this).attr('title');
					var nombres = noms.trim();
					
					var srt = nombres.toLowerCase().indexOf(texto);
					
					if(srt > -1) {
						$(this).css( "display", 'inline-block');
						$('#candidato-no-encontrado').css('display', 'none');
					}
					else {
						$(this).css('display', 'none');
					}
					
				});
				
			} else {
				$('.lista-contenedor').css( "display", 'inline-block');
				$('#candidato-no-encontrado').css('display', 'none');
				/*  $(this).on('mouseleave', function(){
					$('.candidato-grid').css( "display", 'inline-block');
				});*/
			}
			
		});
		
	$(window).scroll(function (event) {
			var scroll = $(window).scrollTop();
			console.log(scroll);
			if(scroll > 1) {
				$('#informacion-votacion').removeClass('info-votacion').addClass('info-votacion-fixed');
				$('.votacion-titulo').addClass('col-xs-12 col-sm-12 col-md-12 col-lg-12');
				$('.votacion-titulo #display').css('color', '#ffffff');
				//$('.buscador').css({'position':'absolute', 'right':'5px'});
			} /*else  {
				$('#informacion-votacion').removeClass('info-votacion-fixed').addClass('info-votacion');
				$('.buscador').css({'position':'inherit', 'right':'0'});
				$('.votacion-titulo').removeClass('col-xs-12 col-sm-12 col-md-12 col-lg-12');
				$('.votacion-titulo #display').css('color', 'red');
			}*/
		});
		
		function callBootbox(target, message) {
			bootbox.confirm({
				message: message,
				buttons: {
					confirm: {
						label: 'Si',
						className: 'btn-success'
					},
					cancel: {
						label: 'No',
						className: 'btn-danger'
					}
				},
				callback: function (result) {
					if (result) {
						window.location = target.href;
					}
				}
			});
		}
	});
	
	